﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Crear envío de OCA";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Crear envío OCA</h1>
</div>

<div class="page-content">
    <div class="panel">
        
        <div class="panel-body">
            <div class="col-md-12">
                
                @using (Html.BeginForm("CreateOcaShipping", "Oca", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                {
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Origen</label>
                        <div class="col-sm-5">
                            <select class="form-control" name="OcaShipmentOriginId" id="OcaShipmentOriginId" data-plugin="select2">
                                @if (TempData["OcaOrigins"] != null)
                                {
                                    foreach (var item in (SelectList)TempData["OcaOrigins"])
                                    {
                                        <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Tipo</label>
                        <div class="col-sm-2">
                            <div class="radio-custom radio-primary">
                                <input type="radio" id="ShipmentTypeRetiro" name="ShipmentType" value="1" required/>
                                <label for="ShipmentTypeRetiro">Retiro</label>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="radio-custom radio-primary">
                                <input type="radio" id="ShipmentTypeAdmision" name="ShipmentType" value="2" required/>
                                <label for="ShipmentTypeAdmision">Admisión</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group js-admision" style="display:none;">
                        <label class="col-sm-2 control-label">Centro OCA</label>
                        <div class="col-sm-6">
                            <select class="form-control" name="OcaCenterId" id="OcaCenterId" data-plugin="select2" required>
                                @if (TempData["CentrosDeImposicion"] != null)
                                {
                                    <option value="">Seleccioná una sucursal</option>
                                    foreach (var item in (SelectList)TempData["CentrosDeImposicion"])
                                    {
                                        <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                    }
                                }
                            </select>
                            <span class="help-block">Ingrese el centro de Oca al cual va a llevar su paquete</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Solicitante</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" name="Solicitante" required />
                            <span class="help-block">Ingrese el nombre de la persona que solicita el envío</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Observaciones</label>
                        <div class="col-sm-6">
                            <textarea class="form-control" name="Observaciones" rows="3"></textarea>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 contrl-label">Datos del destinatario</label>
                        <div class="col-sm-8">
                            @Html.Partial("_CustomerInfo", Model)
                            
                        </div>
                    </div>
                    



                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-success" id="btnSave">Crear</button>
                        <button type="button" class="btn btn-default" onclick="window.location.href = '/DeliveryOrders/DeliveryOrderList/@Model.DeliveryOrderId';">Cancelar</button>
                        @Html.HiddenFor(model => model.DeliveryOrderId)
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section Scripts {
    
    <script type="text/javascript">
        $(document).ready(function ()        
        {
            $("input[name=ShipmentType]").change(function () {
                if ($("#ShipmentTypeAdmision").is(':checked')) {
                    $(".js-admision").show();
                    $("#OcaCenterId").prop('required', true);
                } else {
                    $(".js-admision").hide();
                    $("#OcaCenterId").prop('required', false);
                }
            });
        });
    </script>


}

